%define patch_name	kernel-feat-drivers-usb

Name: %patch_name
Version: 2004.02.23
Release: alt1

Summary: %patch_name - Linux kernel USB drivers updates
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

# Home page: http://usbat2.sourceforge.net/
# Patch created from http://usbat2.sourceforge.net/usbat-02.20030518.tar.gz
# More changes:
#   - Removed US_FL_START_STOP (the SCSI layer does not send this command since
#     2.4.21rc1)
%source 8001	80_01-storage-usbat-02-2003.05.18-alt.patch

%source 9001	90_01-storage-debug.patch

BuildPreReq: kernel-build-tools

%description
Linux kernel USB drivers updates

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for kernel 2.4.25.
- Removed obsolete patches (merged upstream):
  - 01_21-core-usbfs-disconnect.patch
  - 01_22-acm-update.patch
  - 05_16-core-devio-memleak.patch

* Mon Sep 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.29-alt1
- moved to kernel-fix-drivers-usb:
  - 01_07-serial-ftdi_sio-new-ids.patch
  - 01_08-net-zaurus-750-760.patch
  - 01_15-serial-ftdi_sio-new-ids-2.patch
  - 01_18-serial-io_ti-new-ids.patch
  - 01_24-serial-visor-garmin-ique.patch
- added:
  + 05_16-core-devio-memleak.patch

* Tue Sep 02 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.02-alt1
- Reworked for 2.4.22.
- Removed old patches from linux-usb-devel (already in 2.4.22).
- New patches from linux-usb-devel:
   + 01_07-serial-ftdi_sio-new-ids, 01_15-serial-ftdi_sio-new-ids-2 - new
     device IDs for ftdi_sio
   + 01_08-net-zaurus-750-760 - support for newer Zaurus models + code cleanup
   + 01_18-serial-io_ti-new-ids - new device IDs for io_ti
   + 01_21-core-usbfs-disconnect - usbfs disconnect backport from 2.6
   + 01_22-acm-update - ACM update for new devices
   + 01_24-serial-visor-garmin-ique - new device IDs for visor
- Changed:
   + 90_01-storage-debug.patch:
      - fixed in-kernel compilation
      - fixed isd200 and sddr55 subdrivers
      - added explicit checks for usb_storage_debug in debug.c

* Wed Jul 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.16-alt1
- Patches from linux-usb-devel:
   + net-usbnet-update - new usbnet driver (fixed communication with
     ARM-Linux-based devices; high speed support (512 bytes/packet); BLOB boot
     loader support; NET_XMIT_DROP fix)
   + storage-unusual_devs-{1,2,3} - updated unusual_devs.h for usb-storage
   + serial-ftdi_sio-dss-20 - support for DSS-20 SyncStation (usb cradle for
     the Sony Ericsson P800 phone) in ftdi_sio
   + net-ax8817x-intellinet - support for Intellinet USB 2.0 Ethernet in
     ax8817x
   + serial-ipaq-ids - new device IDs for the ipaq driver: Rover P5, Toshiba
     E310 and E335
- New patch:
   + 90_01-storage-debug.patch - turn on usb-storage verbose debugging with the
     module parameter
- Changed:
   + 80_01-storage-usbat-02-2003.05.18-alt.patch - removed US_FL_START_STOP
     (not needed - the SCSI layer does not send this command since 2.4.21rc1)

* Sun Jul 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.06-alt1
- Initial release
- Patches from linux-usb-devel:
   + USB storage devices support:
      + Mello MP3 Player
      + Sony DSC-P8
      + Pentax Optio 2/3/400, Optio S
      + Kyocera Finecam S3x, S4
      + Aiptek PocketCAM 3Mega
      + Samsung Digimax 410
      + Vivitar Vivicam 35Xx
      + Desknote/ECS UCR-61S2B
   + HID BADPAD workaround (TopMax CobraPad, Happ UGCI joysticks)
   + KOBIL KAAN SIM Smart Card reader support
   + HID multi-input quirk (Happ UGCI joysticks)
   + Pegasus Ethernet driver update
   + HID keyboard leds fix
   + HIDDev uref backport, MGE UPS quirks
   + pl2303 updates: error reporting, CTS/DSR support
   + Aiptek HyperPen tablet support (driver update and hid quirks)
   + scanner driver update (new IDs)
   + ASIX AX88172 based ethernet device support
   + US_SC_DEVICE and US_PR_DEVICE support for usb-storage
   + powermate driver update for newer devices
   + io_edgeport 50 baud support
   + usbnet: Zaurus SL-C700 support
   + usbserial: ftdi_sio driver update
- USBAT-02 Compact Flash Reader driver (http://usbat2.sourceforge.net)
